<!DOCTYPE html>
<html>
  <head>
    <title>Closures</title>
  </head>
  <body>
    <script>
      function crearFuncion() {
        const vector = []

        //for (var i = 0; i<5; i++){
        for (let i = 0; i<5; i++){
          vector.push(function funcion() {
            console.log(i)
          })
        }
        //console.log(i)

        return vector
      }

      const v = crearFuncion()

      v[0]()
      v[1]()
    </script>
  </body>
</html>
